com.verisign.epp.codec.org

## Enum EPPOrgRoleStatus

- java.lang.Object
- - java.lang.Enum<EPPOrgRoleStatus>
  - - com.verisign.epp.codec.org.EPPOrgRoleStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<EPPOrgRoleStatus>

      public enum EPPOrgRoleStatus
      extends java.lang.Enum<EPPOrgRoleStatus>
      implements java.io.Serializable, java.lang.Cloneable

  Statuses of the organization role, with one of the following values:
  - `ok` - This is the normal status value for an role that has no pending operations or prohibitions. This value is set and removed by the server as other status values are added or removed.
  - `linked` - The role of an organization object has at least one active association with another object. The "linked" status is not explicitly set by the client. Servers SHOULD provide services to determine existing object associations.
  - `clientLinkProhibited` or `serverLinkProhibited` - Requests to add new links to the organization MUST be rejected.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `clientLinkProhibited`
    `linked`
    `ok`
    `serverLinkProhibited`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPOrgRoleStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EPPOrgRoleStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ok

          public static final EPPOrgRoleStatus ok

    - #### linked

          public static final EPPOrgRoleStatus linked

    - #### clientLinkProhibited

          public static final EPPOrgRoleStatus clientLinkProhibited

    - #### serverLinkProhibited

          public static final EPPOrgRoleStatus serverLinkProhibited

  - ### Method Detail

    - #### values

          public static EPPOrgRoleStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPOrgRoleStatus c : EPPOrgRoleStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPOrgRoleStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © VeriSign Inc. All Rights Reserved.